View Issue Details

IDProjectCategoryView StatusLast Update
0011460FPCPackagespublic2009-11-19 13:33
ReporterShaun Simpson Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.1 
Fixed in Version2.2.4 
Summary0011460: Apache Bindings - apr.pas
DescriptionHi,

I have been having trouble getting an Apache Module working on Linux. The Apache request Prequest_rec returns bad data for the handler variable.

Inoussa OUEDRAOGO alerted me to the fact that problem is that apr_off_t is declared as and integer (apr.pas) for UNIX platforms. If this is changed
to an Int64 type all is well.

I am using:
Ubuntu Linux 8.04 32bit
FPC 2.2.0

Thank you,
Shaun
TagsNo tags attached.
Fixed in Revision11848
FPCOldBugId0
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2008-06-10 22:07

administrator   ~0020077

Fixed. apr_off_t is now always int64, on all platforms

Issue History

Date Modified Username Field Change
2008-06-10 18:28 Shaun Simpson New Issue
2008-06-10 22:06 Michael Van Canneyt Status new => assigned
2008-06-10 22:06 Michael Van Canneyt Assigned To => Michael Van Canneyt
2008-06-10 22:07 Michael Van Canneyt Fixed in Revision => 11216
2008-06-10 22:07 Michael Van Canneyt Status assigned => resolved
2008-06-10 22:07 Michael Van Canneyt Resolution open => fixed
2008-06-10 22:07 Michael Van Canneyt Note Added: 0020077
2008-10-16 01:03 Ivo Steinmann Status resolved => closed
2008-10-16 14:54 Vincent Snijders Status closed => resolved
2009-03-19 17:44 Jonas Maebe FPCOldBugId => 0
2009-03-19 17:44 Jonas Maebe Fixed in Version => 2.3.1
2009-03-19 17:44 Jonas Maebe Fixed in Revision 11216 => 11848
2009-03-19 17:44 Jonas Maebe Fixed in Version 2.3.1 => 2.2.4
2009-11-19 13:33 Jonas Maebe Status resolved => closed